apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: ssh-0.0.2
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: ssh
      name: ssh
      podspec:
        containers:
          - image: aep/aos/jammy/aep
            name: ssh
      provides:
        - exposed: true
          name: http
          network: loadbalanced
          servicespec:
            ports:
              - name: ssh
                port: 22
                protocol: TCP
                targetPort: 22
      sizing:
        increment: 1
        initial: 1
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: ssh-operator
      vendor: asag
      version: 0.0.2
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.4.1
  name: ssh
  settings:
    - name: environment
      schema:
        default: ssh_prod
  version: 0.0.2
